## org.eclipse.amp.amf.ide
Interface Configurator

All Known Implementing Classes:
  AscapeRuntimeConfigurator, RepastRuntimeConfigurator, RuntimeConfigurator

    public interface Configurator

A simple encapsulation for runtime configuration to allow easy customization of runtime launchers for different AMF targets.

Author:
  milesparker

Method Summary
`void` `configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource resource)`
`void` `configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource resource)`

Method Detail

### configure

    void configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                   org.eclipse.core.resources.IResource resource)

### configureForLaunch

    void configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                            org.eclipse.core.resources.IResource resource)